RoleResourceGroupMapId (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.RoleResourceGroupMapId class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class RoleResourceGroupMapId

    java.lang.Object
      org.hyperic.hq.authz.server.session.RoleResourceGroupMapId

All Implemented Interfaces:
  java.io.Serializable

    public class RoleResourceGroupMapId

extends java.lang.Object
implements java.io.Serializable

RoleResourceGroupMapId generated by hbm2java

See Also:
  Serialized Form

Constructor Summary
`RoleResourceGroupMapId()` default constructor
`RoleResourceGroupMapId(Role roleId, ResourceGroup resourceGroupId)` full constructor

Method Summary
`ResourceGroup` | `getResourceGroup()`
`Role` | `getRole()`
`void` | `setResourceGroup(ResourceGroup resourceGroupId)`
`void` | `setRole(Role roleId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleResourceGroupMapId

    public RoleResourceGroupMapId()

  default constructor

### RoleResourceGroupMapId

    public RoleResourceGroupMapId(Role roleId,
                                  ResourceGroup resourceGroupId)

  full constructor

Method Detail

### getRole

    public Role getRole()

### setRole

    public void setRole(Role roleId)

### getResourceGroup

    public ResourceGroup getResourceGroup()

### setResourceGroup

    public void setResourceGroup(ResourceGroup resourceGroupId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.